
declare @p_idpadre1 int
declare @p_idpadre2 int
declare @p_idpadre3 int
declare @p_idpadre4 int
declare @uid varchar(100)
select @uid=uid from seg_usuario where id=1

if not exists (select id from gui_funcionalidad where (funcionalidad='Archivos' and id_funcionalidad = 96 and id_tipofuncionalidad=2) or (funcionalidad='Buscar' and id_funcionalidad = 96 and id_tipofuncionalidad=2) )
begin

INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Archivos ',96,2,'/forms/general/formNuevo.aspx','',0,'-','archivos.jpg','','pop_archivos','archivos',7)
set @p_idpadre1 = SCOPE_IDENTITY()
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (5,@p_idpadre1,'01',@uid,'') 
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad)select [id_perfil],@p_idpadre1,'01',@uid,'' FROM [seg_perfil_funcionalidad] WHERE [id_funcionalidad]=96
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Cargar Archivo',@p_idpadre1,5,'','',0,'','','','equ_alquiler','crear',1)
set @p_idpadre3 = SCOPE_IDENTITY()
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Eliminar Archivo',@p_idpadre1,5,'','',0,'','','','equ_alquiler','eliminar',1)
set @p_idpadre4 = SCOPE_IDENTITY()
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad)select [id_perfil],@p_idpadre3,'01',@uid,'' FROM [seg_perfil_funcionalidad] WHERE [id_funcionalidad]=@p_idpadre1
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad)select [id_perfil],@p_idpadre4,'01',@uid,'' FROM [seg_perfil_funcionalidad] WHERE [id_funcionalidad]=@p_idpadre1

INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Buscar',96,2,'','',0,'','equ_buscar.jpg','','pop_buscarXEquipo','buscar',8)
set @p_idpadre2 = SCOPE_IDENTITY()
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (5,@p_idpadre2,'01',@uid,'') 
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) select [id_perfil],@p_idpadre2,'01',@uid,''FROM [seg_perfil_funcionalidad] WHERE [id_funcionalidad]=96



end